package ${package}.services;

import java.util.GregorianCalendar;

import javax.xml.datatype.DatatypeFactory;
import javax.xml.datatype.XMLGregorianCalendar;

import com.cisco.framework.AbstractService;
import ${package}.services.config.model.ObjectFactory;
import ${package}.services.config.model.GreetMeRequestType;
import ${package}.services.config.model.GreetMeResponseType;
import ${package}.services.config.model.NameType;
import ${package}.services.config.model.impl.GreetMeRequestImpl;
import ${package}.services.config.model.impl.GreetMeResponseImpl;
import ${package}.services.config.model.impl.GreetMeResponseTypeImpl;
import ${package}.services.IGreetMeService;
import ${package}.services.GreetMeServiceImplMBean;


public class GreetMeServiceImpl extends AbstractService implements IGreetMeService, GreetMeServiceImplMBean  {

	public GreetMeResponseType greetMe(GreetMeRequestType greetMeRequest) throws Exception {
		
		ObjectFactory obj = new ObjectFactory();
		GreetMeResponseType res = (GreetMeResponseType) obj.createGreetMeResponse();
	
		NameType nm = greetMeRequest.getName();
		String saluString = greetMeRequest.getSalutation();
		String first = nm.getFirst();
		String last = nm.getSecond();
		
		GregorianCalendar calendar = new GregorianCalendar();
		res.setTime(calendar);
		
		StringBuffer sbuf = new StringBuffer("Hello ");
		sbuf.append(saluString); sbuf.append(" ");
		sbuf.append(first); sbuf.append(" ");
		sbuf.append(last);
		res.setGreeting(sbuf.toString());
	
		return res; 
	}
}
